<template>
	<div v-if="loading" class="text-center">
		<h4>Loading...</h4>
	</div>
	<div v-else>
		<div>
			<div class="row">
				<div class="col-md-12">
					<form
						class="form-horizontal"
						action="#"
						method="post"
					>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="col-sm-2 control-label">Near By</label>
									<div class="col-sm-10">
										<select id="nearby" class="form-control select2"  v-validate="'required'" multiple="multiple" data-placeholder="Select a State"
												style="width: 100%;">
										</select>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="remaining" class="col-sm-3 control-label">Point</label>

									<div class="col-sm-9">
										<label class="control-label">
											<span
												id="remaining"
												name="remaining"
											><i class="fa fa-star" aria-hidden="true"></i> {{remainingPoint}}  </span>
										</label>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<div class="col-sm-offset-3 col-sm-9">
										<button type="button" @click="validateForm" class="btn btn-danger">Save</button>
									</div>
								</div>
							</div>
						</div><!--end row-->
					</form>
				</div>
				<div class="col-md-12">
					<div id="map" class="map"></div>
				</div>
			</div>
		</div>
	</div>
</template>

<script src='./Edition.js'></script>
